Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.dojo.views.jsp.ui
Class DivTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts2.views.jsp.StrutsBodyTagSupport
                  org.apache.struts2.views.jsp.ComponentTagSupport
                      org.apache.struts2.views.jsp.ui.AbstractUITag
                          org.apache.struts2.views.jsp.ui.AbstractClosingTag
                              org.apache.struts2.dojo.views.jsp.ui.AbstractRemoteTag
                                  org.apache.struts2.dojo.views.jsp.ui.DivTag

All Implemented Interfaces:
  Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.DynamicAttributes, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class DivTag

extends AbstractRemoteTag

See Also:
  Serialized Form

Field Summary
`protected String` | `autoStart`
`protected String` | `closable`
`protected String` | `delay`
`protected String` | `preload`
`protected String` | `refreshOnShow`
`protected String` | `separateScripts`
`protected String` | `startTimerListenTopics`
`protected String` | `stopTimerListenTopics`
`protected String` | `updateFreq`

Fields inherited from class org.apache.struts2.dojo.views.jsp.ui.AbstractRemoteTag
`afterNotifyTopics, beforeNotifyTopics, errorNotifyTopics, errorText, executeScripts, formFilter, formId, handler, highlightColor, highlightDuration, href, indicator, listenTopics, loadingText, notifyTopics, parseContent, showErrorTransportText, showLoadingText, transport`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractClosingTag
`openTemplate`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`accesskey, cssClass, cssErrorClass, cssErrorStyle, cssStyle, disabled, dynamicAttributes, errorPosition, id, javascriptTooltip, key, label, labelposition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, requiredLabel, requiredPosition, tabindex, template, templateDir, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, value`

Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`component`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DivTag()`

Method Summary
`Component` | `getBean(com.opensymphony.xwork2.util.ValueStack stack, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`protected void` | `populateParams()`
`void` | `setAutoStart(String autoStart)`
`void` | `setClosable(String closable)`
`void` | `setDelay(String delay)`
`void` | `setPreload(String preload)`
`void` | `setRefreshOnShow(String refreshOnShow)`
`void` | `setSeparateScripts(String separateScripts)`
`void` | `setStartTimerListenTopics(String startTimerListenTopic)`
`void` | `setStopTimerListenTopics(String stopTimerListenTopic)`
`void` | `setUpdateFreq(String updateInterval)`

Methods inherited from class org.apache.struts2.dojo.views.jsp.ui.AbstractRemoteTag
`setAfterNotifyTopics, setBeforeNotifyTopics, setErrorNotifyTopics, setErrorText, setExecuteScripts, setFormFilter, setFormId, setHandler, setHighlightColor, setHighlightDuration, setHref, setIndicator, setListenTopics, setLoadingText, setNotifyTopics, setParseContent, setShowErrorTransportText, setShowLoadingText, setTransport`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractClosingTag
`setOpenTemplate`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`setAccesskey, setClass, setCssClass, setCssErrorClass, setCssErrorStyle, setCssStyle, setDisabled, setDynamicAttribute, setErrorPosition, setId, setJavascriptTooltip, setKey, setLabel, setLabelposition, setLabelSeparator, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequiredLabel, setRequiredPosition, setStyle, setTabindex, setTemplate, setTemplateDir, setTheme, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath, setValue`

Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`doEndTag, doStartTag, getComponent`

Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport
`findString, findValue, findValue, getBody, getStack, toString`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### updateFreq

    protected String updateFreq

### autoStart

    protected String autoStart

### delay

    protected String delay

### startTimerListenTopics

    protected String startTimerListenTopics

### stopTimerListenTopics

    protected String stopTimerListenTopics

### refreshOnShow

    protected String refreshOnShow

### separateScripts

    protected String separateScripts

### closable

    protected String closable

### preload

    protected String preload

Constructor Detail

### DivTag

    public DivTag()

Method Detail

### getBean

    public Component getBean(com.opensymphony.xwork2.util.ValueStack stack,
                             javax.servlet.http.HttpServletRequest req,
                             javax.servlet.http.HttpServletResponse res)

  Specified by:
    `getBean` in class `ComponentTagSupport`

### populateParams

    protected void populateParams()

  Overrides:
    `populateParams` in class `AbstractRemoteTag`

### setAutoStart

    public void setAutoStart(String autoStart)

### setDelay

    public void setDelay(String delay)

### setUpdateFreq

    public void setUpdateFreq(String updateInterval)

### setStartTimerListenTopics

    public void setStartTimerListenTopics(String startTimerListenTopic)

### setStopTimerListenTopics

    public void setStopTimerListenTopics(String stopTimerListenTopic)

### setRefreshOnShow

    public void setRefreshOnShow(String refreshOnShow)

### setSeparateScripts

    public void setSeparateScripts(String separateScripts)

  Overrides:
    `setSeparateScripts` in class `AbstractRemoteTag`

### setClosable

    public void setClosable(String closable)

### setPreload

    public void setPreload(String preload)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.